Bug 525866 - Please rebuild using external Adobe CMap and AGLFN data
Please rebuild using external Adobe CMap and AGLFN data
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: fonttools (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-09-26 08:30 EDT by Nicolas Mailhot
Modified: 2015-02-02 03:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-31 11:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-09-26 08:30:56 EDT
Description of problem:

The Debian fonttool packager noticed a problem in fonttool's embedded Adobe CMap and AGLFN data and got Adobe to release them under a good license

Please rebuild the Fedora fonttool using those resources (packaged separately as they can be used by other packages)

FE-LEGAL since this was all triggered by a legal checl Debian-side

See also
http://bonedaddy.net/pabs3/log/2009/09/24/adobe-data-freed/
http://lwn.net/Articles/354360/
http://opensource.adobe.com/wiki/display/cmap/CMap+Resources
Comment 1 Tom "spot" Callaway 2009-10-06 10:45:29 EDT
I'm not sure why this blocks FE-Legal. There is no reason why this change cannot (and should not) occur. Lifting FE-Legal.
Comment 2 Nicolas Mailhot 2009-10-06 16:09:20 EDT
(In reply to comment #1)
> I'm not sure why this blocks FE-Legal. There is no reason why this change
> cannot (and should not) occur. Lifting FE-Legal.  

Well, it was more "Debian feels not doing this is a legal problem, do we think the same?"
Comment 3 Bug Zapper 2010-03-15 08:53:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-02 13:40:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Paul Flo Williams 2011-06-03 03:31:15 EDT
Rebasing.
Comment 6 Paul Wise (Debian) 2013-06-22 04:37:40 EDT
Here is the upstream bug about this:

http://sourceforge.net/p/fonttools/bugs/33/
Comment 7 Parag Nemade 2015-01-31 11:37:14 EST
I assume we have this fixed already in https://github.com/behdad/fonttools/commit/fea81ee2b3d820cf6beee40fa8ec95a0cfa99214

closing.
Comment 8 Paul Wise (Debian) 2015-01-31 21:22:45 EST
Incorrect the Google fork of fonttools still contains an embedded copy of the the aglfn data:

https://github.com/behdad/fonttools/Lib/fontTools/agl.py
https://github.com/behdad/fonttools/issues/83
Comment 9 Paul Wise (Debian) 2015-01-31 21:24:12 EST
That first link should be this instead:

https://github.com/behdad/fonttools/blob/master/Lib/fontTools/agl.py

In addition, the copy in fonttools is outdated compared to upstream.
Comment 10 Paul Wise (Debian) 2015-01-31 22:07:47 EST
Actually it isn't outdated, but will become so if Adobe ever releases a new version.
Comment 11 Parag Nemade 2015-02-02 03:13:17 EST
Okay let me open this and I will check this with behdad when he will be back later on.

Note You need to log in before you can comment on or make changes to this bug.